Last Comment Bug 711627 - ContentProvider Authority doesn't match with AndroidManifest
: ContentProvider Authority doesn't match with AndroidManifest
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 704682 709391
  Show dependency treegraph
 
Reported: 2011-12-16 14:48 PST by Sriram Ramasubramanian [:sriram]
Modified: 2012-01-09 14:44 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Patch (2.50 KB, patch)
2011-12-16 14:52 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description Sriram Ramasubramanian [:sriram] 2011-12-16 14:48:48 PST
The ContentProviders exposed in AndroidManifest.xml.in have substitutions in them. However, they do not match the same in BrowserContract.java. BrowserContract doesnt use substitution to match them. This will cause the URI lookup to fail.
Comment 1 Sriram Ramasubramanian [:sriram] 2011-12-16 14:52:54 PST
Created attachment 582398 [details] [diff] [review]
Patch

This adds preprocessing to authority. Hopefully things should be fine with this fix.
Comment 2 Richard Newman [:rnewman] 2011-12-16 18:34:51 PST
This blocks our ability to talk to Fennec.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-18 21:30:59 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/85599a814c02
Comment 4 Marco Bonardo [::mak] 2011-12-19 08:34:49 PST
https://hg.mozilla.org/mozilla-central/rev/85599a814c02

Note You need to log in before you can comment on or make changes to this bug.